Bug 993739 - ejabberd possibly affected by F-20 unversioned docdir change
ejabberd possibly affected by F-20 unversioned docdir change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
: Reopened
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 08:00 EDT by Ville Skyttä
Modified: 2013-11-10 01:54 EST (History)
3 users (show)

See Also:
Fixed In Version: couchdb-1.3.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 08:00:09 EDT
ejabberd was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora Update System 2013-09-16 06:38:06 EDT
ejabberd-2.1.13-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-3.fc20
Comment 2 Fedora Update System 2013-09-16 12:01:18 EDT
ejabberd-2.1.13-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-4.fc20
Comment 3 Fedora Update System 2013-09-16 12:02:24 EDT
ejabberd-2.1.13-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-4.fc19
Comment 4 Fedora Update System 2013-10-26 08:14:38 EDT
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-6.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-6.fc19,couchdb-1.3.1-3.fc19,wings-1.4.1-8.git9a2473e.fc19,erlang-js-1.2.2-3.fc19,erlang-esdl-1.3.1-2.fc19,erlang-esasl-0.1-13.20120116git665cc80.fc19,erlang-erlsyslog-0.6.2-4.fc19,erlang-R16B-02.3.fc19
Comment 5 Fedora Update System 2013-10-26 08:15:31 EDT
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
Comment 6 Fedora Update System 2013-10-26 14:48:30 EDT
Package couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.3.1-3.fc20 erlang-erlsyslog-0.6.2-4.fc20 erlang-esasl-0.1-13.20120116git665cc80.fc20 erlang-esdl-1.3.1-2.fc20 erlang-js-1.2.2-3.fc20 ejabberd-2.1.13-6.fc20 erlang-R16B-02.3.fc20 wings-1.4.1-8.git9a2473e.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20029/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-06 02:30:41 EST
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-7.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19, riak-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 01:54:21 EST
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-7.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20, riak-1.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.